{ pkgs, ... }:

{
  systemd.services.kitaab-sync = {
    serviceConfig.Type = "oneshot";
    path = [
      pkgs.git
    ];
    script = ''
      ${pkgs.coreutils}/bin/cd /home/anish/vimwiki/
      ${pkgs.git} commit -am "syncing curve"
      ${pkgs.git} push
    '';
  };
  systemd.timers.kitaab-timer = {
    wantedBy = [ "timers.target" ];
    partOf = [ "kitaab-sync.service" ];
    timerConfig.OnCalendar = [ "*-*-* *:00:00" ];
  };
}
